Subject: Re: bug#78637: 30.1.90; Calling setopt during init loads cus-start over and over

From: Po Lu <[email-masked]>
Date: Fri, 27 Jun 2025 09:39:13 +0800

Stefan Monnier <[email-masked]> writes:

> IIUC on Android, the first time the users run their Emacs, you run
> a special session started from `temacs` with `dump-mode=nil` but where
> you do perform a dump at the end of `loadup` and then continue on to
> a normal GUI startup?
>
> In that case, I'd expect that this first GUI session works correctly
> (w.r.t `custom-reevaluate-setting`), but indeed the subsequent runs
> (which presumably make use of the generated pdmp file) will fail to
> reevaluate the settings.
>
> Is that what you saw?

I believe so, yes, though there is no `temacs' binary, just a shared
object that is loaded into `/system/bin/app_process' and which is used
to load dumped and undumped sessions alike.